<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>MUnit Coverage Report</title>
    <link rel="stylesheet" type="text/css" href="assets/styles/mulesoft-styles.css">
    <link rel="stylesheet" type="text/css" href="assets/styles/tsorter.css">
</head>
<body>
<div class="mulesoft-topbar">
    <div class="mulesoft-appbar">
        <div class="muleicon muleicon-logo"></div>
        <div class="anypoint-brand">MUnit Coverage Report - implementation/impl-set-initial-payload-and-cid.xml</div>
    </div>
</div>

<div class="col-md-2 col-md-offset-1 sidemenu">
    <ul class="sidemenu-back">
        <li><a href="summary.html">Resources</a></li>
    </ul>
</div>

<div class="col-md-8">
    <h2 class="text-bold">Resource Coverage - #Processors 0 / 3</h2>
    <div class="progress">
        <span>0%</span>
        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0" aria-valuemin="0"
             aria-valuemax="100" style="width: 0%;">
        </div>
    </div>
    <ul class="list-unstyled">
        <li><h4><b>Required Resource Coverage :</b>
            N/A
        </h4></li>
        <li><h4><b>Required Container Coverage :</b>
            N/A
        </h4></li>
    </ul>
    <h2 class="text-bold">Containers</h2>
    <table id="resources_table" class="table table-featured table-hover sortable">
        <thead>
        <tr>
            <th colspan="2">Name</th>
            <th>Type</th>
            <th data-tsorter="numeric">#Covered Processors</th>
            <th data-tsorter="numeric">#Processors</th>
            <th data-tsorter="coverage">Coverage*</th>
        </tr>
        </thead>
        <tbody id="table-body">
        <tr>
            <td colspan="2">proc-free-fb-api:\set-initial-payload-and-cid:flow</td>
            <td>Flow</td>
            <td>0</td>
            <td>3</td>
            <td>
                <div class="progress">
                    <span>0%</span>
                    <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                         aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                    </div>
                </div>
            </td>
        </tr>
        </tbody>
    </table>
    <h4>(*) Number of processors executed during test</h4>
</div>
<script type="text/javascript" src="assets/js/tsorter.min.js"></script>
<script type="text/javascript">
    function init() {
        var sorter = tsorter.create('resources_table', 0, {
            coverage: function (row) {
                var cov = this.getCell(row).childNodes[1].childNodes[3].attributes['aria-valuenow'].textContent;
                return parseFloat(cov.substring(cov[0].length - 1), 10);
            }
        });
    }

    window.onload = init;

</script>
</body>
</html>
